MERGE(1)

NUME
merge - fuziune de fișiere pe trei căi

SINOPSIS
merge [ opțiuni ] fișier1 fișier2 fișier3

DESCRIERE
merge încorporează toate modificările care duc de la fișier2 la fișier3 în fișier1. Rezultatul se introduce de obicei în fișier1. merge este util pentru a combina modificări separate la un original. Să presupunem că fișier2 este originalul, iar atât fișier1, cât și fișier3 sunt modificări ale lui fișier2. Atunci merge combină ambele modificări.

Apare un conflict dacă atât fișier1, cât și fișier3 au modificări într-un segment comun de linii. În cazul în care se găsește un conflict, merge emite în mod normal un avertisment și pune între paranteze conflictul cu liniile <<<<<<< și >>>>>>>. Un conflict tipic va arăta în felul următor:

    <<<<<<< fișierul A
    linii în fișierul A
    =======
    linii în fișieru B
    >>>>>>> fișierul B

În cazul în care există conflicte, utilizatorul trebuie să editeze rezultatul și să elimine una dintre alternative.

OPȚIUNI

-A  Conflicte de ieșire folosind stilul -A din diff3(1), dacă este acceptat de diff3. Acest lucru fuzionează toate modificările care duc de la fișier2 la fișier3 în fișier1 și generează cea mai abundentă ieșire.

-E, -e
    Aceste opțiuni specifică stiluri de conflict care generează mai puține informații decât -A. A se vedea diff3(1) pentru detalii. Opțiunea implicită este -E. Cu -e, merge nu avertizează cu privire la conflicte.

-L eticheta
    Această opțiune poate fi dată de până la trei ori și specifică etichetele care vor fi utilizate în locul numelor de fișiere corespunzătoare în rapoartele de conflict. Adică, merge -L x -L y -L z a b c generează o ieșire care arată ca și cum ar proveni din fișierele x, y și z în loc să provină din fișierele a, b și c.

-p  Trimte rezultatele la ieșirea standard în loc să suprascrie fișier1.

-q  Silențios; nu avertizează asupra conflictelor.

-V  Afișează numărul de versiune al lui RCS.

DIAGNOSTICARE
Starea de ieșire este 0 pentru niciun conflict, 1 pentru unele conflicte, 2 pentru probleme.

IDENTIFICARE
Autor: Walter F. Tichy.
Revizuirea paginii manualului: 5.10.1; Data lansării: 7 februarie 2025.
Drepturi de autor © 2010-2022 Thien-Thi Nguyen.
Drepturi de autor © 1990, 1991, 1992, 1993, 1994, 1995 Paul Eggert.
Drepturi de autor © 1982, 1988, 1989 Walter F. Tichy.

CONSULTAȚI ȘI
diff3(1), diff(1), rcsmerge(1), co(1).

Documentația completă pentru RCS este menținută ca un manual Texinfo. Dacă programele info(1) și RCS sunt instalate corect pe calculatorul dumneavoastră, comanda

    info rcs

ar trebui să vă ofere acces la manualul complet. În plus, pagina oficială a RCS:

    http://www.gnu.org/software/rcs/

conține știri și legături către cea mai recentă versiune, situl de dezvoltare, etc.

ERORI
În mod normal, nu are sens să fuzionezi fișiere binare ca și cum ar fi text, dar merge încearcă să o facă oricum.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.